/*
 cseries.r
  MyCSeries Rez source master file

  Version 0.4

  Created: December 24, 2006
  Revised: December 30, 2006

  Written by Adam P.

 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 *  This source code is offered for use in the public domain.  You may use,
 * modify or distribute it freely.
 *
 *  This code is distributed in the hope that it will be useful but WITHOUT
 * ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY DISCLAIMED.
 *  This includes but is not limited to warranties of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.
 */

#define _style_plain					0x00
#define _style_bold						0x01
#define _style_italic					0x02
#define _style_underlined				0x04
#define _style_outlined					0x08
#define _style_strike					0x10
#define _style_overlined				0x20
#define _style_fixed_width				0x80
#define _style_QuickDraw_bitmask		0x0F

#define _special_none					0x00
#define _special_show_invisibles		0x40
#define _special_boxed					0x80
#define _special_user_bitmask			0x0F

type 'fnts'
{
	integer = $$CountOf(Fonts);
	array Fonts
	{
		pstring;						/*	Font Name		*/
		unsigned hex byte;				/*	Font Special	*/
		unsigned hex byte;				/*	Font Style		*/
		integer;						/*	Point Size		*/
	};
};

#ifdef DEFINE_FNTS_TEMPLATE_ID
data 'TMPL' (DEFINE_FNTS_TEMPLATE_ID)
{
	$"0723 2046 6F6E 7473 4F43 4E54 052A 2A2A"	/* .# FontsOCNT.*** */
	$"2A2A 4C53 5443 0946 6F6E 7420 4E61 6D65"	/* **LSTC.Font Name */
	$"5053 5452 0753 7065 6369 616C 4842 5954"	/* PSTR.SpecialHBYT */
	$"0553 7479 6C65 4842 5954 0A50 6F69 6E74"  /*  SizeDWRD.*****L */
	$"2053 697A 6544 5752 4405 2A2A 2A2A 2A4C"  /* STE */
	$"5354 45"
};
#endif
